### Method

# Atspi Document get_document_attribute_value

#### Declaration [src]

    gchar*
    atspi_document_get_document_attribute_value (
      AtspiDocument* obj,
      const gchar* attribute,
      GError** error
    )

#### Description [src]

Gets the value of a single attribute, if specified for the document as a whole.

The implementation of this method is provided by `atspi_document_get_attribute_value()` in language bindings.

#### Parameters

`attribute`

  Type: `const gchar*`

  A string indicating the name of a specific attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string corresponding to the value of the specified attribute, or an empty string if the attribute is unspecified for the object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.